- Main Page
- Modules
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# SimulationObject Class Reference

`#include <SimulationObject.h>`

Inheritance diagram for SimulationObject:

List of all members.

## Public Member Functions
| SimulationObject ()
virtual | ~SimulationObject ()
int | getID () const
dWorldID | getWorldID () const
dSpaceID | getSpaceID () const
virtual std::string | toString () const =0
## Static Public Member Functions
static void | setWorldID (dWorldID id)
static void | setSpaceID (dSpaceID id)
## Private Attributes
int | _id
## Static Private Attributes
static dWorldID | _worldID = 0
static dSpaceID | _spaceID = 0
static int | _nextID = 1

## Detailed Description

Class representing the very initial parent of all objects in simulation. It governs assigning of unique identifiers for all created objects. It also holds the reference to the ODE simulation world and collision space.

## Constructor & Destructor Documentation

SimulationObject::SimulationObject | ( |  | ) |

SimulationObject::~SimulationObject | ( |  | ) | `[virtual]`

## Member Function Documentation

int SimulationObject::getID | ( |  | ) | const`[inline]`

dSpaceID SimulationObject::getSpaceID | ( |  | ) | const`[inline]`

dWorldID SimulationObject::getWorldID | ( |  | ) | const`[inline]`

void SimulationObject::setSpaceID | ( | dSpaceID | id | ) | `[static]`

void SimulationObject::setWorldID | ( | dWorldID | id | ) | `[static]`

virtual std::string SimulationObject::toString | ( |  | ) | const`[pure virtual]`

Implemented in Building, Car, CarSink, and CarSource.

## Member Data Documentation

int SimulationObject::_id`[private]`

ID unique for each simulation object

int SimulationObject::_nextID = 1`[static, private]`

Value of the next ID to be assigned

dSpaceID SimulationObject::_spaceID = 0`[static, private]`

The ODE simulation colision space reference

dWorldID SimulationObject::_worldID = 0`[static, private]`

The ODE simulation world reference

The documentation for this class was generated from the following files:

- src/sim/SimulationObject.h
- src/sim/SimulationObject.cpp